% Fill in possibly occluded regions from the background.
%
% Copyright (C) 2014, Ayan Chakrabarti <ayanc@ttic.edu>
function d2 = occProp(d,w)

d2 = d;

idx = [1:size(w,1)]; j = 1;
while j <= size(d,2)
  idx(find(w(idx,j) == 1)) = [];
  if length(idx) == 0
    break;
  end;
  w(idx,j) = 1;
  j = j + 1;
end;

w2 = imclose(w,strel('disk',3));
for j = 2:size(w,2)
  idx = find(w2(:,j) == 0);
  d2(idx,j) = d2(idx,j-1);
end;
